/**
* DO NOT EDIT THIS FILE.
* See the following change record for more information,
* https://www.drupal.org/node/2815083
* @preserve
**/
"use strict";

(function (Drupal) {
  Drupal.behaviors.gutenbergAdvancedTable = {
    attach: function attach(context) {
      var tables = context.querySelectorAll('div.wp-block-uswds-table');
      once('bind-table-list', 'div.wp-block-uswds-table', context).forEach(function (table) {
        var numCols = table.querySelector('table').rows[0].cells.length;
        var tableId = table.getAttribute('id');
        var colNames = [];
        for (var index = 0; index < numCols; index++) {
          colNames.push('colnum-' + index);
        }
        var options = {
          valueNames: colNames
        };
        var tableList = new List(tableId, options);
        tableList.on('searchComplete', function () {
          table.removeAttribute('sorted');
          table.querySelectorAll('th').forEach(function (header) {
            header.removeAttribute('title');
          });
        });
        var sortHeaders = table.querySelectorAll('th.sort');
        sortHeaders.forEach(function (header) {
          header.addEventListener("click", function (e) {
            sortHeaders.forEach(function (header) {
              header.removeAttribute('title');
            });
            table.setAttribute('sorted', header.getAttribute('data-sort'));
            var message = Drupal.t("Column sorted in ascending order.");
            if (header.classList.contains("desc")) {
              message = Drupal.t("Column sorted in descending order.");
            }
            header.setAttribute('title', message);
          });
        });
      });
    }
  };
})(Drupal);